Package com.norconex.commons.lang.flow

# Class FlowMapperConfig

java.lang.Object
com.norconex.commons.lang.flow.FlowMapperConfig

public class FlowMapperConfig extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowMapperConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Function<Consumer<?>,String>`
  `getConsumerNameProvider()`
  A function that takes a consumer about to be serialize and returns a custom name for it.
  `FlowPolymorphicType<FlowConsumerAdapter<?>>`
  `getConsumerType()`
  `FlowPolymorphicType<FlowPredicateAdapter<?>>`
  `getPredicateType()`
  `int`
  `hashCode()`
  `FlowMapperConfig`
  `setConsumerNameProvider(Function<Consumer<?>,String> consumerNameProvider)`
  A function that takes a consumer about to be serialize and returns a custom name for it.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FlowMapperConfig

    public FlowMapperConfig()

- ## Method Details

  - ### getPredicateType

    public FlowPolymorphicType<FlowPredicateAdapter<?>> getPredicateType()

  - ### getConsumerType

    public FlowPolymorphicType<FlowConsumerAdapter<?>> getConsumerType()

  - ### getConsumerNameProvider

    public Function<Consumer<?>,String> getConsumerNameProvider()
    A function that takes a consumer about to be serialize and returns a custom name for it. When not specified or returning `null`, the default is "consumer".

  - ### setConsumerNameProvider

    public FlowMapperConfig setConsumerNameProvider(Function<Consumer<?>,String> consumerNameProvider)
    A function that takes a consumer about to be serialize and returns a custom name for it. When not specified or returning `null`, the default is "consumer".
    Returns:
      `this`.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`